> For the complete documentation index, see [llms.txt](https://docs.warpstream.com/warpstream/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.warpstream.com/warpstream/reference/cli-reference.md).

# CLI Reference

## Description

The following page documents the available WarpStream CLI commands.

Install the WarpStream CLI by pasting the following command into your Terminal:

`curl https://console.warpstream.com/install.sh | sh`

## Commands

The following table displays the available top-level `warpstream` commands.

| Command               | Description                                                                                                                                                                |
| --------------------- | -------------------------------------------------------------------------------------------------------------------------------------------------------------------------- |
| warpstream agent      | Command line tool for adminstering the WarpStream Agent.                                                                                                                   |
| warpstream demo       | Creates a temporary WarpStream account, provisions a local WarpStream cluster (writing to memory by default), and provisions a producer client to send data to the Agents. |
| warpstream cli        | Command line tool for Kafka/WarpStream admin commands.                                                                                                                     |
| warpstream playground | Creates a temporary WarpStream account and provisions a local WarpStream cluster (writing to memory by default).                                                           |


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.warpstream.com/warpstream/reference/cli-reference.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
